summaryrefslogtreecommitdiffstats
path: root/source/l/aalib/aalib.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/aalib/aalib.SlackBuild')
-rwxr-xr-xsource/l/aalib/aalib.SlackBuild8
1 files changed, 5 insertions, 3 deletions
diff --git a/source/l/aalib/aalib.SlackBuild b/source/l/aalib/aalib.SlackBuild
index 20465dd0d..2da339e5f 100755
--- a/source/l/aalib/aalib.SlackBuild
+++ b/source/l/aalib/aalib.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2006, 2007, 2008, 2009, 2010, 2011 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2006, 2007, 2008, 2009, 2010, 2011, 2013 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,7 +24,7 @@
PKGNAM=aalib
VERSION=1.4rc5
SRCVER=1.4.0
-BUILD=${BUILD:-3}
+BUILD=${BUILD:-5}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -59,13 +59,15 @@ else
fi
cd $TMP
-rm -rf ${PKGNAM}-${VERSION}
+rm -rf ${PKGNAM}-${SRCVER}
tar xvf $CWD/${PKGNAM}-$VERSION.tar.gz || exit 1
cd ${PKGNAM}-${SRCVER} || exit 1
#cp /usr/share/libtool/config.{guess,sub} . # libtool-1.x
cp /usr/share/libtool/config/config.{guess,sub} . # libtool-2.x
sed -i -e "s# -lslang# -lslang1#" configure
+zcat $CWD/aalib-aclocal.patch.gz | patch -p1 --verbose || exit 1
+
# Make sure ownerships and permissions are sane:
chown -R root:root .
find . \